/*******************************************************************************
*  TLine.cpp - bean for an encoded single trapped line
*
*  Berzerk/
*
*  Part of the BuckoSoft Network Monitor
*  Copyright(c) 2016 - BuckoSoft, Corp.
*
\*******************************************************************************/

#include "stdafx.h"
#include <iostream>
#include <boost/regex.hpp>
using namespace boost;

#include "TLine.h"

namespace berzerk {

TLine makeTLine(const string& s, const regex& rex, const regex& rexip) {
	boost::match_results<std::string::const_iterator> what;
	if (regex_search(s, what, rex)) {
		//if (DEBUG > 1)
		//	cout << "matched: " << s << endl;
		cout << "what[0]" << what[0] << endl;
		int match_start = s.find(what[0]);
		if (match_start < 0)
			match_start = 0;
		int match_length = what[0].length();
		int ip_start = 0;
		int ip_length = 0;
		if (regex_search(s, what, rexip)) {
			ip_start = s.find(what[0]);
			ip_length = what[0].length();
		}
		TLine tl = TLine(s, match_start, match_length, ip_start, ip_length);
		return(tl);
	}
	return(TLine());
}

}	// namespace berzerk
